: Class MimeTypeParameterList

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.activation
Class MimeTypeParameterList

    java.lang.Object
      |
      +--javax.activation.MimeTypeParameterList

public class MimeTypeParameterList
extends java.lang.Object

MIME Type Parameter List.

Version:
  $Revision: 1.3 $
Author:
  Andrew Selkirk

Constructor Summary
`MimeTypeParameterList()` Create empty parameter list.
`MimeTypeParameterList(java.lang.String parameterList)` Create MIME type parameters list from string.

Method Summary
`java.lang.String` | `get(java.lang.String name)` Get value of name.
`java.util.Enumeration` | `getNames()` Get enumeration of parameter names.
`boolean` | `isEmpty()` Check if parameter list is empty.
`protected void` | `parse(java.lang.String parameterList)` Parse parameter list.
`void` | `remove(java.lang.String name)` Remove parameter.
`void` | `set(java.lang.String name, java.lang.String value)` Set value of name.
`int` | `size()` Get size of parameter list.
`java.lang.String` | `toString()` Return string representation of parameter list.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MimeTypeParameterList

    public MimeTypeParameterList(java.lang.String parameterList)
                          throws MimeTypeParseException

  Create MIME type parameters list from string.
  Parameters:
    `parameterList` - String to parse

### MimeTypeParameterList

    public MimeTypeParameterList()

  Create empty parameter list.

Method Detail

### toString

    public java.lang.String toString()

  Return string representation of parameter list.
  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    String value

### get

    public java.lang.String get(java.lang.String name)

  Get value of name.
  Parameters:
    `name` - Parameter name
  Returns:
    Parameter value, or null

### set

    public void set(java.lang.String name,
                    java.lang.String value)

  Set value of name.
  Parameters:
    `name` - Parameter name
    `value` - Parameter value

### size

    public int size()

  Get size of parameter list.
  Returns:
    Number of parameters

### remove

    public void remove(java.lang.String name)

  Remove parameter.
  Parameters:
    `name` - Name of parameter

### isEmpty

    public boolean isEmpty()

  Check if parameter list is empty.
  Returns:
    true if empty, false otherwise

### parse

    protected void parse(java.lang.String parameterList)
                  throws MimeTypeParseException

  Parse parameter list.
  Parameters:
    `parameterList` - Parameter list to parse
  Throws:
    `MimeTypeParseException` - Parsing exception occurred

### getNames

    public java.util.Enumeration getNames()

  Get enumeration of parameter names.
  Returns:
    Name enumeration

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© Copyright 2002 the Free Software Foundation, all rights reserved.